%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

Name:           python-nmap
Version:        0.3.4
Release:        3%{?dist}
Summary:        A python library which helps in using nmap port scanner

License:        GPLv3+
URL:            http://xael.org/norman/python/python-nmap/
Source0:        http://xael.org/norman/python/python-nmap/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       nmap

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       nmap
%endif

%description
python-nmap is a python library which helps in using nmap port scanner. It
allows to easily manipulate nmap scan results and will be a perfect tool
for systems administrators who want to automatize scanning task and reports.
It also supports nmap script outputs. 

%if 0%{?with_python3}
%package -n python3-nmap
Summary:        A python library which helps in using nmap port scanner

%description -n python3-nmap
python3-nmap is a python library which helps in using nmap port scanner. It
allows to easily manipulate nmap scan results and will be a perfect tool
for systems administrators who want to automatize scanning task and reports.
It also supports nmap script outputs. 
%endif

%prep
%setup -q
rm -rf %{name}.egg-info
sed -i -e '/^#!\//, 1d' nmap/nmap.py example.py
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif

%build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%if 0%{?with_python3}
%files -n python3-nmap
%doc CHANGELOG gpl-3.0.txt README.txt example.py
%{python3_sitelib}/nmap/
%{python3_sitelib}/*.egg-info
%endif

%changelog
* Sat Dec 20 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-3
- Fix wrong package naming

* Wed Dec 17 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-2
- Fix package naming (rhbz#1174115)

* Wed Aug 06 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-1
- Switch to py3
- Update the URL and the source URL
- Update to latest upstream version 0.3.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 28 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Update to latest upstream version 0.3.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 01 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.7-1
- Update to latest upstream version 0.2.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.4-1
- Initial package
